Bug 1253373 - Provide version of virt-p2v ISO based on RHEL 6
Provide version of virt-p2v ISO based on RHEL 6
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
Jiri Herrmann
P2V
:
Depends On:
Blocks: 1252701
  Show dependency treegraph
 
Reported: 2015-08-13 10:57 EDT by Richard W.M. Jones
Modified: 2016-02-23 04:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-11 09:37:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2015-08-13 10:57:34 EDT
Description of problem:

We now have a virt-p2v ISO based on RHEL 7 (bug 1168626).

Unfortunately this revealed a couple of fairly serious problems:

 - RHEL 7 dropped support for 32 bit i686, and so we can no longer
   use P2V to convert very old 32 bit machines.

 - RHEL 7 dropped support for cciss devices, and the cciss devices
   which are not supported by the newer hpsa driver cannot be
   converted at all (bug 1252701).  A list of such devices can be
   found here: http://man7.org/linux/man-pages/man4/cciss.4.html#DESCRIPTION

The solution to this is to provide a version of the virt-p2v
ISO which is based on RHEL 6.

This is not trivial to do, although it is not impossible.

Firstly I add a bunch of commits to virt-p2v to fix problems
on RHEL 6:

06e92bffd4b1924bf9b076e44e59d03ea7146db8
437cb7b6ffcb21a43a7368d4402228f043a62a9c
b0cd6917cac7d314e971d90747e053907b48b2f7
00bceec4216da7757acf0aa7174a99fb0b6deeb5
2bfb9ff9ea7316cfa6a62879f77f6600c91789d9
1d082d127e017d91bc493807a4a488dfa045a79c
92e155dbddaafe0cd9f0be13fc0b723522735eff
c9ad61b37b1efc5e496295117ad5d1614c3862f1

Secondly qemu-kvm on RHEL 6 does not include qemu-nbd, which is
required by virt-p2v.  Although we could modify the qemu-kvm
package to add it, I think that's a big change to our core
hypervisor this late in RHEL 6, and instead we should just
compile our own qemu-nbd and include it into the ISO.

Version-Release number of selected component (if applicable):

I suggest we think about this for RHEL 6.8.  In the meantime
I'll distribute unofficial ISOs for testing purposes.
Comment 2 Richard W.M. Jones 2016-01-11 09:37:32 EST
I decided to base this on Fedora instead for a few reasons:

 - Fedora still builds 32 bit versions of qemu-nbd, kernel etc.

 - Doesn't require that we backport virt-p2v code to RHEL 6
   (so we can still use modern Gtk features)

I have built a 32 bit ISO and placed it in the usual place:

http://oirase.annexia.org/virt-p2v/

 - virt-p2v-livecd-1.32.0.fc23.iso

The Fedora virt-p2v and RHEL virt-v2v are interoperable.

Note You need to log in before you can comment on or make changes to this bug.